﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
    background-color: #eee;
    max-width: 100vw;
    padding-left: 0px !important;
    padding-right: 0px !important;
    margin-top: 65px;
    font-family: -apple-system,BlinkMacSystemFont,'Segoe UI',Roboto,Oxygen-Sans,Ubuntu,Cantarell,'Helvetica Neue',sans-serif;
}

.opacity-5{
    opacity:0.5 !important;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


.e-spinner-pane .e-spinner-inner .e-spin-label {
    color: white !important;
    font-weight: bold !important;
    font-size: 1.2rem !important;
}

.e-spinner-pane {
    background-color: rgb(0 0 0 / 30%) !important;
    position: fixed !important;
}



.svg-icon {
    width: 1em;
    height: 1em;
}

    .svg-icon path,
    .svg-icon polygon,
    .svg-icon rect {
        fill: #4691f6;
    }

    .svg-icon circle {
        stroke: #4691f6;
        stroke-width: 1;
    }

.icon {
    width: 80px;
    height: 80px;
}

    .icon svg {
        width: 2em;
        height: 2em;
    }

    /*.page{
        width:calc(100vw - 20px)
    }
*/

.img-banner {
    width: calc(100vw - 18px);
    object-fit: cover;
    object-position: center;
    height:250px;
}

.main > div[b-xqy9fkci66] {
    padding: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Raleway', sans-serif;
    /*font-family: 'Roboto', sans-serif;*/
}

button.list-group-item.list-group-item-action:active, button.list-group-item.list-group-item-action:focus {
    background-color:lightskyblue !important;
}



/* width */
::-webkit-scrollbar {
    width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #dcdcdc;
    border-radius: 3px
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #eee;
    }


.input.e-input, .e-input-group input, .e-input-group.e-control-wrapper input, .e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input {
    margin-top: -5px !important;
}

input.e-control.e-textbox.e-lib.e-input {
    height: 35px !important;
    margin-top: -7px !important;
}

input.e-control.e-combobox.e-lib.e-input {
    height: 35px !important;
    margin-top: 0px !important;
}

textarea.e-control.e-textbox.e-lib.e-input {
    min-height: 100px !important;
}

.e-control.e-dropdownlist.e-lib.e-input {
    margin-top: 3px !important;
    height: 33px !important;
}

.e-control.e-datepicker.e-lib.e-input.e-keyboard {
    margin-top: 3px !important;
    height: 33px !important;
}

.e-control.e-numerictextbox.e-lib.e-input {
    height: 35px !important;
    margin-top: 0px !important;
}

.e-control.e-maskedtextbox.e-lib.e-input {
    margin-top: -5px !important;
    height: 33px !important;
}

.label-title {
    background-color: #eee;
    padding: 15px;
    width: 100%;
    border-left: solid 10px red;
}


.text-align-left{
    text-align:left !important;
}

.fs-1-3 {
    font-size: 1.3rem;
}


.fs-1-5 {
    font-size: 1.5rem;
}

.fs-3{
    font-size: 3rem !important;
}

.text-gold {
    color: gold;
}

.img-circle {
    height: 100px;
    width: 100px;
    object-fit: cover;
    border-radius: 50px;
    box-shadow: 3px 3px 3px gray;
    margin-top: -50px;
    margin-bottom: 10px;
    border: solid 3px white;
}

.img-circle-sm {
    height: 70px;
    width: 70px;
    object-fit: cover;
    border-radius: 50px;
    box-shadow: 3px 3px 3px gray;
    border: solid 3px white;
}

.img-circle-xs {
    height: 45px;
    width: 45px;
    object-fit: cover;
    border-radius: 50px;
    box-shadow: 3px 3px 3px grey;
    margin-bottom: 10px;
    border: solid 3px white;
}

.icon-circle {
    height: 40px;
    width: 40px;
    border-radius: 40px;
    border: solid 1px lightgray;
    padding: 12px;
}

.icon-circle-sm {
    height: 30px;
    width: 30px;
    border-radius: 30px;
    border: solid 1px lightgray;
    padding: 7px;
    margin-right: 10px;
    margin-top: -7px;
}


#loader {
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
    z-index: 999;
    background-color: rgba(255,255,255,0.4);
    display: flex;
    flex-direction: column;
    justify-content: center;
}


.flex-row-justify-center {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#tabs_menu_sec {
    position: absolute !important;
    top: 460px !important;
}

#chatModal {
    min-height: 350px !important;
    max-height: 700px !important;
    height: 100% !important;
    width: 100% !important;
    max-width: 500px !important;
}

button.red-dot > span.dot, li.e-item > span.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: red;
    display: inline-block;
    position: relative;
}

button.red-dot > span.dot {
    right: 0px;
    bottom: 15px;
}

li.e-item > span.dot {
    left: 100px;
}

button.item-perfil {
    justify-content:space-between;
    align-items:center;
    display:flex;
    white-space:normal;
    border-top:1px solid #ddd;
    border-bottom:1px solid #ddd;
}

@media (max-width: 575.98px) {
    .p-5 {
            padding: 1rem !important;
    }

    .px-5 {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    .display-5 {
        font-size: 2rem !important;
    }

    .e-control.e-toolbar.e-lib.e-tab-header.e-vertical.e-vertical-left.e-keyboard.e-toolpop {
        display: none;
    }

    .e-content.e-lib.e-touch {
        width: 100% !important;
        margin-top: 3rem;
    }

    #tabs_menu_sec {
        right: 10vw !important;
    }
}

@media (min-width: 576px) and (max-width: 767.98px) {
    .p-5 {
        padding: 1.5rem !important;
    }

    .px-5 {
        padding-left: 1.5rem !important;
        padding-right: 1.5rem !important;
    }

    .display-5 {
        font-size: 2rem !important;
    }
    
    .e-control.e-toolbar.e-lib.e-tab-header.e-vertical.e-vertical-left.e-keyboard.e-toolpop{
        display: none;
    }

    .e-content.e-lib.e-touch {
        width: 100% !important;
        margin-top: 3rem;
    }

    #tabs_menu_sec {
        right: 18vw !important;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .p-5 {
        padding: 2rem !important;
    }

    .px-5 {
        padding-left: 2rem !important;
        padding-right: 2rem !important;
    }

    .display-5 {
        font-size: 2rem !important;
    }

    .e-control.e-toolbar.e-lib.e-tab-header.e-vertical.e-vertical-left.e-keyboard.e-toolpop {
        display: none;
    }

    .e-content.e-lib.e-touch {
        width: 100% !important;
        margin-top: 3rem;
    }

    #tabs_menu_sec {
        right:15vw !important;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
    .p-5 {
        padding: 3rem !important;
    }

    .px-5 {
        padding-left: 3rem !important;
        padding-right: 3rem !important;
    }

    .display-5 {
        font-size: 3rem !important;
    }

    .e-content.e-lib.e-touch {
        width: 75% !important;
    }

    #tabs_menu_sec {
        display:none !important;
    }
}

@media (min-width: 1200px) {
    .p-5 {
        padding: 3rem !important;
    }

    .px-5 {
        padding-left: 3rem !important;
        padding-right: 3rem !important;
    }

    .display-5 {
        font-size: 3rem !important;
    }

    .e-content.e-lib.e-touch {
        width: 80% !important;
    }

    #tabs_menu_sec {
        display: none !important;
    }
}